]> git.pld-linux.org Git - packages/apache.git/blobdiff - apache.init
- ankry: LSB says "stop" must always return 0. As it must not fail.
[packages/apache.git] / apache.init
index f5e09b930ed196b9eef4a7303d2fa6e0897d902e..439445c29ed0df6c71806b4c5076c1804ddb99a5 100644 (file)
@@ -33,13 +33,13 @@ else
 fi
 
 [ -z "$HTTPD_MPM" ] && HTTPD_MPM="prefork"
-if   [ -d "${HTTPD_CONF:-'/etc/httpd/httpd.conf'}" ]; then
+if [ -d "${HTTPD_CONF:-'/etc/httpd/httpd.conf'}" ]; then
        CFG="-f ${HTTPD_CONF:-'/etc/httpd/httpd.conf'}"
 elif [ -n "$HTTPD_CONF" ]; then
        echo "error: HTTPD_CONF='$HTTPD_CONF': not a file, not a directory"
        exit 1
 else
-       CFG=""
+       CFG=""
 fi
 
 RETVAL=0
@@ -76,20 +76,20 @@ case "$1" in
        /usr/sbin/httpd.${HTTPD_MPM} $CFG -S
        ;;
   restart)
-       $0 stop
+       $0 stop
        $0 start
        ;;
   reload|force-reload|graceful)
        if [ -f /var/lock/subsys/httpd ]; then
                msg_reloading httpd.${HTTPD_MPM}
                httpd.${HTTPD_MPM} $CFG -t > /dev/null 2>&1
-               if [ $? -eq 0 ]; then
-                   daemon httpd.${HTTPD_MPM} $CFG -k graceful
+               RETVAL=$?
+               if [ $RETVAL -eq 0 ]; then
+                       daemon httpd.${HTTPD_MPM} $CFG -k graceful
                else
-                   fail
-                   echo "Configuration file syntax test failed."
+                       fail
+                       echo "Configuration file syntax test failed."
                fi
-               RETVAL=$?
        else
                msg_not_running httpd.${HTTPD_MPM} >&2
                RETVAL=7
This page took 0.030286 seconds and 4 git commands to generate.